using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Music.Model;

namespace Music.Presentation
{
    public class HomePagePresenter : IHomePagePresenter
    {
        private IHomeView _view;
        private SongService _songService;

        public HomePagePresenter(IHomeView view, SongService songService)
        {
            _view = view;
            _songService = songService;
        }

        #region IHomePagePresenter Members

        public void Display()
        {
            _view.ArtistList = _songService.GetAllArtists();
            _view.AlbumList = _songService.GetAllAlbums();
            _view.SongList = _songService.GetAllSongs();
        }

        #endregion
    }
}
